datacache <- new.env(hash=TRUE, parent=emptyenv())

hu35ksuba <- function() showQCData("hu35ksuba", datacache)
hu35ksuba_dbconn <- function() dbconn(datacache)
hu35ksuba_dbfile <- function() dbfile(datacache)
hu35ksuba_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hu35ksuba_dbInfo <- function() dbInfo(datacache)

hu35ksubaORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hu35ksuba.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hu35ksuba", "chip hu35ksuba", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hu35ksuba_dbconn())
}

