\name{hu35ksubaENSEMBL}
\alias{hu35ksubaENSEMBL}
\alias{hu35ksubaENSEMBL2PROBE}
\title{Map Ensembl gene accession numbers with manufacturer identifiers}  
\description{ 
  hu35ksubaENSEMBL is an R object that contains mappings between 
  manufacturer identifiers and Ensembl gene accession numbers.    
}
\details{
  This object is a simple mapping of manufacturer identifiers
  \url{http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene} to Ensembl
  gene Accession Numbers.

  Mappings were based on data provided by: Entrez Gene ( ftp://ftp.ncbi.nlm.nih.gov/gene/DATA ) on 2008-Apr2
}

\examples{
    x <- hu35ksubaENSEMBL
    # Get the manufacturer IDs that are mapped to an Ensembl ID
    mapped_genes <- mappedkeys(x)
    # Convert to a list
    xx <- as.list(x[mapped_genes])
    if(length(xx) > 0) {
      # Get the Ensembl IDs for the first five genes
      xx[1:5]
      # Get the first one
      xx[[1]]
    }
    #For the reverse map ENSEMBL2EG:
    # Convert to a list
    xx <- as.list(hu35ksubaENSEMBL2PROBE)
    if(length(xx) > 0){
       # Gets the manufacturer IDs for the first five Ensembl IDs
       xx[1:5]
       # Get the first one
       xx[[1]]
    }
}
\keyword{datasets}



